package com.synnex.notification.vo;

import com.synnex.notification.util.StringUtil;

public class User
{
	private String username;
	
	public User(){}
	public User(String username)
	{
		this.username = username;
	}

	public String getUsername()
	{
		return username;
	}

	public void setUsername(String username)
	{
		this.username = username;
	}
	
	public boolean equals(Object obj)
	{
		if(obj == this)
		{
			return true;
		}
		if(!(obj instanceof User) || obj == null)
		{
			return false;
		}
		User u = (User)obj;
		if(StringUtil.isEmpty(username))
		{
			return false;
		}
		return username.equals(u.getUsername());
	}
	public int hashCode()
	{
		if(StringUtil.isEmpty(username))
		{
			return super.hashCode();
		}
		return username.hashCode();
	}
}